import { Vector } from "@bearmetal/doodler";
import { TrackSegment } from "./system.ts";

export class StraightTrack extends TrackSegment {
  constructor(start?: Vector) {
    start = start || new Vector(100, 100);
    super([
      start.copy(),
      start.copy().add(25, 0),
      start.copy().add(75, 0),
      start.copy().add(100, 0),
    ]);
  }
}
